Bug 24034 - functionality changes after an update.
Summary: functionality changes after an update.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: stunnel (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-15 17:03 UTC by Need Real Name
Modified: 2007-04-18 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-15 17:07:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-01-15 17:03:17 UTC
The stunnel 3.8 used to read the locally installed certificates
from /usr/share/ssl/certs/trusted.
A new versions stunnel-3.10-2 and stunnel-3.11-2 do not do this any more
Can this functionality be put back?

---- 3.8-4----
[root@localhost /root]# rpm -q stunnel
stunnel-3.8-4
[root@localhost /root]# strings /usr/sbin/stunnel |grep /usr/shar
/usr/share/ssl/certs/stunnel.pem
/usr/share/ssl/certs/trusted
		default: /usr/share/ssl/certs/stunnel.pem for server mode,
		default: /usr/share/ssl/certs/trusted
/usr/share/ssl/localCA/cacert.pem

---- 3.10-2 and 3.11-2 -----------
rpm -q stunnel
stunnel-3.10-2
[root@host99 /tmp]# strings /usr/sbin/stunnel |grep /usr/shar
/usr/share/ssl/certs
/usr/share/ssl/cert.pem
/usr/share/ssl/cert.pem


 rpm -q stunnel
stunnel-3.11-2
[root@host99 /tmp]# strings /usr/sbin/stunnel |grep /usr/shar
/usr/share/ssl/certs
/usr/share/ssl/cert.pem
/usr/share/ssl/cert.pem
----------

Comment 1 Nalin Dahyabhai 2001-08-28 23:14:13 UTC
stunnel-3.20-1 and later will be built with
---with-cert-dir=/usr/share/ssl/trusted, which should
restore this behavior.  In the meantime, invoking
stunnel with the additional flag "-a /usr/share/ssl/trusted"
should work as well.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.